Bug 692598 - Bad cache descriptor read by guest via CPUID
Bad cache descriptor read by guest via CPUID
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
7.0
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Virtualization Bugs
:
Depends On:
Blocks: 1113520 833129
  Show dependency treegraph
 
Reported: 2011-03-31 12:40 EDT by thomas.birrer
Modified: 2015-10-21 10:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-16 12:57:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description thomas.birrer 2011-03-31 12:40:21 EDT
Description of problem:
Platform stress software and CPUID software are reading cache information via CPUID and find this bad descriptor:

Type of cache                                   Unified Cache
Cache Level                                     0

Cache Level can't be 0 if cache type is non-zero.

Version-Release number of selected component (if applicable):


How reproducible:
Easily on Linux or Windows guest OS.

Steps to Reproduce:
1. Boot guest OS via KVM
2. Check CPUID cache descriptors
    x86info -c seems to ignore the bad descriptor, so use something else
  
Actual results:
Type of cache                                   Unified Cache
Cache Level                                     0


Expected results:
Type of cache = 0

Additional info:
Comment 2 juzhang 2011-04-02 06:33:03 EDT
(In reply to comment #0)
> Description of problem:
> Platform stress software and CPUID software are reading cache information via
> CPUID and find this bad descriptor:
> 
> Type of cache                                   Unified Cache
> Cache Level                                     0
> 
> Cache Level can't be 0 if cache type is non-zero.
Hi,thomas
 
  Would you please tell me which tool you used to read cache information and found bad descriptor?I tried cup-z & CPUID TMonitor.failed to get infos what you de scripted.thanks
Comment 3 RHEL Product and Program Management 2011-04-03 22:05:11 EDT
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 8 Ademar Reis 2012-07-20 11:36:38 EDT
We don't have the option to configure the cache bits with the current cpu model design. We'll need the complete cpu-type infrastructure planned for RHEL7 (bug 824991) in order to properly fix this.

So deferring to RHEL7.
Comment 13 Eduardo Habkost 2015-07-16 12:57:27 EDT
I can't locate the issue in the code and there's not enough information to reproduce the bug. Even the older RHEL-6 code looks correct and has level=2 in the only CPUID entry where cache type is 3 (unified cache).

Note You need to log in before you can comment on or make changes to this bug.